#!/usr/bin/python

from scipy.integrate import odeint
from matplotlib import pyplot
import py_smilepot

# r.h.s of ODE
def fun(y,t):
    #return numpy.append(y[3:6], pot.force(y[0],y[1],y[2]))
    a=y[3:6].tolist()
    a.extend(pot.force(y[0],y[1],y[2]))
    return a

# compute an orbit in a triaxial Dehnen potential
t=[k*0.1 for k in range(1000)]
y0=[0.1, 0, 0.4, 0.2, 0.3, 0.5]
pot=py_smilepot.SmilePot(type="Dehnen", q=0.8, p=0.5)
y=odeint(fun, y0, t)
pyplot.figure()
pyplot.plot(y[:,0], y[:,1])
pyplot.show()
