import py_smilepot
import numpy

# test 1: load an N-body snapshot from a text file
data=numpy.loadtxt("plum.txt",skiprows=1)
pos=data[:,0:3]
mass=data[:,6]
p=py_smilepot.SmilePot(type="BSE",pointx=pos[:,0],pointy=pos[:,1],pointz=pos[:,2],pointm=mass,alpha=0.5,ncoefs_radial=10,ncoefs_angular=0)
print '%6s'%p.name(),"potential at 0:",p.potential(0,0,0)
p.export("plum.txt.coef_bse")  # export expansion coefficients to a text file

# test 2: same file is loaded by smilepot library
p=py_smilepot.SmilePot(type="Spline",file="plum.txt",ncoefs_radial=15,ncoefs_angular=0)
print '%6s'%p.name(),"potential at 0:",p.potential(0,0,0)
# export of coefficients is done automatically

# test 3: read back expansion coefficients
p=py_smilepot.SmilePot(file="plum.txt.coef_bse")
print '%6s'%p.name(),"potential at 0:",p.potential(0,0,0)

# test 4: same input file, different potential
p=py_smilepot.SmilePot(type="Nbody",file="plum.txt",treecodeeps=0)
print '%6s'%p.name(),"potential at 0:",p.potential(0,0,0)
p.export("should crash here")  # can only export coefficients of potential expansion types
